Security Experts:

SAP Patches Multiple Missing Authorization Checks

SAP this week released of 8 Security Notes as part of its SAP Security Patch Day for May 2019, which also included 5 updates to previously released Notes.

Five of the Security Notes addressed missing authorization checks in SAP products such as Treasury and Risk Management, Solution Manager and ABAP managed systems, dbpool administration, and Enterprise Financial Services. 

Five other Security Notes addressed information disclosure flaws in SAP products such as BusinessObjects and Solution Manager. 

One of the Security Notes released this month has a priority rating of High, while the remaining 12 are rated Medium, SAP notes in an advisory.

The most important of the Security Notes released this month resolves a privilege escalation in SAP Identity Management REST Interface Version 2. Rated High priority and tracked as CVE-2019-0301, the vulnerability has a CVSS score of 8.4.

Next in line are CVE-2019-0287 (CVSS score 6.3 - information disclosure in BusinessObjects), CVE-2019-0280 (CVSS score 6.3 - missing authorization check in Treasury and Risk Management), CVE-2019-0298 (CVSS score 6.1 - Cross-Site Scripting (XSS) in E-Commerce (Business-to-Consumer) application), and CVE-2019-0289 (CVSS score 5.4 - information disclosure in BusinessObjects). 

SAP also addressed CVE-2019-0293 (CVSS score 5 - missing authorization check in Solution Manager (ST-PI)), CVE-2019-0291 (CVSS score 4.3 - information disclosure in Solution Manager) and CVE-2018-2484 (CVSS score 4.3 - missing authorization check in Enterprise Financial Services – an update to a Note released in January 2019).

Updates were pushed for Security Notes released in October 2009, September 2010, December 2010, and March 2013 (two updates were released for this Note). 

To these Security Notes, three other Notes released after last month’s Patch Tuesday should be added, including two rated High priority, Onapsis, a firm that specializes in securing SAP and Oracle products, reveals

The first of the two vulnerabilities is a Cross-Site Scripting (XSS) in S/4HANA for customer management (CVSS score 8.5), which “could lead to client-side attacks, including defacing web content for a specific user, or even stealing authentication data from the victim,” Onapsis says. 

The second is a missing authorization check in SAP Funding Management (CVSS score 8.4). 

Related: PoC Exploits for Old SAP Configuration Flaws Increase Risk of Attacks

Related: SAP Patches Critical Vulnerability in HANA XSA

view counter